# Malkist
[![Build Status](https://travis-ci.com/pamungkaski/Malkist-Ruby.svg?branch=master)](https://travis-ci.com/pamungkaski/Malkist-Ruby)

Simple Google Maps Web Service API Wrapper on ruby [Google Maps Web Service API](https://developers.google.com/maps/documentation/)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'malkist'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install Malkist

## Functionality

* [x] Distance Matrix API [link](https://developers.google.com/maps/documentation/distance-matrix/intro)
* [ ] Elevation API [link](https://developers.google.com/maps/documentation/elevation/intro)
* [ ] Geolocation API [link](https://developers.google.com/maps/documentation/geolocation/intro)
* [ ] Time Zone API [link](https://developers.google.com/maps/documentation/timezone/intro)
* [ ] Directions API [link](https://developers.google.com/maps/documentation/directions/intro)
* [ ] Roads API [link](https://developers.google.com/maps/documentation/roads/intro)
* [ ] Geocoding [link](https://developers.google.com/maps/documentation/geocoding/intro)
* [ ] Place API for Web [link](https://developers.google.com/maps/documentation/web-service/intro)


## Usage


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/pamungkaski/Malkist-Ruby. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Malkist project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/pamungkaski/Malkist-Ruby/blob/master/CODE_OF_CONDUCT.md).
